Rails.application.routes.draw do
  namespace :panel do
    namespace :announcement do
      namespace :back_end do
        match 'public' => "announcements#public",:as => :public
        resources :fact_checks
        match 'list_mine' => "announcements#list_mine"
        root :to => "bulletins#index"
        resources :bulletins
        resources :bulletin_categorys, :controller => 'bulletin_categorys' do
          match "quick_edit/:bulletin_category_id" => "bulletin_categorys#quick_edit" ,:as => :quick_edit
        end
        resources :tags
      end
      namespace :front_end do
        resources :bulletins
      end
      namespace :widget do
        match "bulletins" => "bulletins#index"
        match "bulletins_and_web_links" => "bulletins#bulletins_and_web_links"
        match "reload_bulletins" => "bulletins#reload_bulletins"
        match "reload_web_links" => "bulletins#reload_web_links"
      end
    end
  end
end
